org.eclnt.jsfserver.pagebean.component

## Class PageBeanComponentRepository

- java.lang.Object
- - org.eclnt.jsfserver.pagebean.component.PageBeanComponentRepository

-     public class PageBeanComponentRepository
      extends java.lang.Object

  Page Bean Components provide a service interface `IPageBeanComponentInfoService`. This class accesses certain aspects of the service interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageBeanComponentRepository()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<java.lang.String>` | `readPackageNamesOfStyleExtensions(java.lang.ClassLoader classLoader)` Reads all package names that are available via service interface `IPageBeanComponentInfoService`.
    `static java.util.List<java.lang.Class>` | `readPageBeanClasses(java.lang.ClassLoader classLoader)`
    `static PageBeanConfig` | `readPageBeanConfig(java.lang.ClassLoader classLoader, java.lang.String className)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PageBeanComponentRepository

          public PageBeanComponentRepository()

  - ### Method Detail

    - #### readPageBeanConfig

          public static PageBeanConfig readPageBeanConfig(java.lang.ClassLoader classLoader,
                                                          java.lang.String className)

    - #### readPageBeanClasses

          public static java.util.List<java.lang.Class> readPageBeanClasses(java.lang.ClassLoader classLoader)

    - #### readPackageNamesOfStyleExtensions

          public static java.util.List<java.lang.String> readPackageNamesOfStyleExtensions(java.lang.ClassLoader classLoader)

      Reads all package names that are available via service interface `IPageBeanComponentInfoService`.

Copyright © CaptainCasa Gmbh. All Rights Reserved.